from lib_prime import get_divisors_count
from lib_misc import triangle_numbers


def euler_012():
    for tn in triangle_numbers():
        if get_divisors_count(tn) > 500:
            return tn


assert(euler_012() == 76576500)
print("e012.py: {}".format(euler_012()))
